Bug 258324 - sysutils/chezmoi: update to 2.4.0
Summary: sysutils/chezmoi: update to 2.4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guangyuan Yang
URL: https://github.com/twpayne/chezmoi/re...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-06 21:07 UTC by Samir Noir
Modified: 2021-09-14 13:21 UTC (History)
1 user (show)

See Also:


Attachments
git diff (12.59 KB, patch)
2021-09-06 21:07 UTC, Samir Noir
samir: maintainer-approval+
Details | Diff
git diff 2.4.0 (19.99 KB, patch)
2021-09-13 18:57 UTC, Samir Noir
samir: maintainer-approval+
Details | Diff
git diff 2.3.0 to 2.4.0 (14.48 KB, patch)
2021-09-13 20:19 UTC, Samir Noir
samir: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Samir Noir 2021-09-06 21:07:25 UTC
Created attachment 227719 [details]
git diff

Hello,

This patch update sysutils/chezmoi to version 2.3.0

poudriere testport and portlint: OK

Thanks
Comment 1 Samir Noir 2021-09-13 18:57:10 UTC
Created attachment 227878 [details]
git diff 2.4.0
Comment 2 Samir Noir 2021-09-13 18:58:42 UTC
A new version (2.4.0) was released, I've putted a new diff to update to that version.

Thanks
Comment 3 commit-hook freebsd_committer 2021-09-13 19:35:58 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b51dd0d60f50693e5d57c9882847f1171c18a7c0

commit b51dd0d60f50693e5d57c9882847f1171c18a7c0
Author:     Samir Noir <samir@noir.im>
AuthorDate: 2021-09-13 19:34:51 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-09-13 19:34:51 +0000

    sysutils/chezmoi: Update to 2.3.0

    Changelog:      https://github.com/twpayne/chezmoi/releases/tag/v2.3.0

    PR:             258324

 sysutils/chezmoi/Makefile | 23 ++++++++++++-----------
 sysutils/chezmoi/distinfo | 48 ++++++++++++++++++++++++-----------------------
 2 files changed, 37 insertions(+), 34 deletions(-)
Comment 4 Guangyuan Yang freebsd_committer 2021-09-13 19:42:48 UTC
(In reply to Samir Noir from comment #2)

Could you please update your patch to be against v2.3.0?
Comment 5 Samir Noir 2021-09-13 20:19:29 UTC
Created attachment 227880 [details]
git diff 2.3.0 to 2.4.0

Yes, here is the new diff.
Comment 6 commit-hook freebsd_committer 2021-09-14 13:11:35 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=410cbdf6ed7e341174366df9a6be7892ed185469

commit 410cbdf6ed7e341174366df9a6be7892ed185469
Author:     Samir Noir <samir@noir.im>
AuthorDate: 2021-09-14 13:09:43 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-09-14 13:09:43 +0000

    sysutils/chezmoi: Update to 2.4.0

    Changelog:      https://github.com/twpayne/chezmoi/releases/tag/v2.4.0

    PR:             258324

 sysutils/chezmoi/Makefile | 25 ++++++++++++------------
 sysutils/chezmoi/distinfo | 48 ++++++++++++++++++++++++-----------------------
 2 files changed, 38 insertions(+), 35 deletions(-)
Comment 7 Guangyuan Yang freebsd_committer 2021-09-14 13:21:01 UTC
Committed all, thank you for the contributions!